osgGA::CameraManipulator::CoordinateFrameCallback Class Referenceabstract

`#include <CameraManipulator>`

Inheritance diagram for osgGA::CameraManipulator::CoordinateFrameCallback:

## Public Member Functions

virtual osg::CoordinateFrame | getCoordinateFrame (const osg::Vec3d &position) const =0
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

virtual | ~CoordinateFrameCallback ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Detailed Description

callback class to use to allow matrix manipulators to query the application for the local coordinate frame.

## Constructor & Destructor Documentation

## ~CoordinateFrameCallback()

virtual osgGA::CameraManipulator::CoordinateFrameCallback::~CoordinateFrameCallback | ( |  | ) |

inline protected virtual

## Member Function Documentation

## getCoordinateFrame()

virtual osg::CoordinateFrame osgGA::CameraManipulator::CoordinateFrameCallback::getCoordinateFrame | ( | const osg::Vec3d & | position | ) | const

pure virtual

The documentation for this class was generated from the following file:

- CameraManipulator